ubuntu10.04下使用amule以及一个python的小问题

ubuntu10.04默认使用gnome桌面浏览器和firefox web浏览器,要在firefox中使用amule,首先需要安装相应的支持文件。具体安装过程如下:

1,安装amule

sudo apt-get install amule

2, 安装gnome支持文件

sudo apt-get install amule-gnome-support

3, 安装amule插件

sudo apt-get install amule-utils

4, 在firefox中载入插件

在firefox地址栏中输入about:config,

新建布尔类型值,命名为 network.protocol.handler.external.ed2k,值为true

新建字符串类型值,命名为network.protocol-handler.app.ed2k,值为/usr/bin/ed2k

5, firefox中点击任意ed2k下载链接(如verycd链接),运行程序手动选择/usr/bin/ed2k,并默认用这种方式下载

python初学者的又一个小麻烦,python中默认的成员用__开头和结尾表示,如__inti__()相当于c++中的默认构造函数,可以重载这个函数。特别注意是以两个“_”组成的”__”而不是单个”_”,具体可用dir()函数查看类成员。

Posted in 未分类